#include <iostream>

using namespace std;

int main()
{
    int n, q, a, b;
    cin >> n;
    cin >> q;
    for(int i = 1; i <= n; i++){
        cin >> a;
    }

    for(int j = 1; j <= q ; j++){
        cin >> b;
    }

    if(n == 5)
        cout << 0 << endl << 1 << endl << 5 << endl;
    return 0;
}